- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# checkpoint_host_facts – Get host objects facts on Check Point over Web Services API

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Get host objects facts on Check Point devices. All operations are performed over Web Services API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name string |  | Name of the host object. If name is not provided, UID is required.
uid string |  | UID of the host object. If UID is not provided, name is required.

## Examples

    - name: Get host object facts
      checkpoint_host_facts:
        name: attacker

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
ansible_hosts list | always. | The checkpoint host object facts.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Ansible by Red Hat (@rcarrillocruz)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.